commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dirk Verbeeck <dirk.verbe...@pandora.be>
Subject Re: 1.3 vs. 1.4 jdk [was Re: [ANN][DBCP][Pool] First Release Candidates available for the 1.1 releases of Commons DBCP & Pool]
Date Wed, 01 Oct 2003 19:29:57 GMT
I compiled everything with a jdk 1.4.1
java version "1.4.1-p3"
Java(TM) 2 Runtime Environment, Standard Edition (build 
1.4.1-p3-brian_28_jul_2003_12_35)
Java HotSpot(TM) Client VM (build 1.4.1-p3-brian_28_jul_2003_12_35, 
mixed mode)

and I just did a compatibility test on a 1.3.1 jvm.
java version "1.3.1-p8"
Java(TM) 2 Runtime Environment, Standard Edition (build 
1.3.1-p8-brian-030218-18:06)
Classic VM (build 1.3.1-p8-brian-030218-18:06, green threads, nojit)

All the 121 DBCP JUnit tests were successful.

At first sight everything is fine but the more hardware/OS/JVM 
combinations are tested the better of course.

Dirk



John McNally wrote:

>Code compiled with a 1.3 jdk is not compatible with java 1.4 jdbc api. 
>I did not check, but assume any jars for release will be compiled with a
>1.4 jdk?
>
>I think the hope is that a jar compiled with 1.4 will be usable in a 1.3
>environment, so that we only distribute one.  I'm not sure if that
>compatibility has been verified.
>
>I'm not sure but maybe I have used a 1.3 compiled dbcp in a 1.4 jvm,
>though that does not seem like it would work.
>
>Basically, I'm saying I don't know the answer, but have we verified the
>best jdk for compatibility?
>
>john mcnally
>
>  
>




---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message